> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Delete an experience by ID

DELETE https://api.contentful.com/spaces/{spaceId}/environments/{environmentId}/experiences/{id}

Reference: https://contentful.com/developers/docs/references/experience-management-api/experiences/delete-experience

## Authentication

- `Authorization` header (bearer token, required) — Contentful Management API token

## Request

### Path parameters

- `spaceId` (string, required)
- `environmentId` (string, required)
- `id` (string, required)

### Query parameters

- `access_token` (string, optional)

## Response

### 204

204

## Errors

### 400 Bad Request Error

400

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 401 Unauthorized Error

401

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 403 Forbidden Error

403

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 404 Not Found Error

404

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 409 Conflict Error

409

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 422 Unprocessable Entity Error

422

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `details` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetails, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 500 Internal Server Error

500

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 503 Service Unavailable Error

503

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

## Types

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaSys

- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `Error`

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContext

- `code` (string, required)
- `pluralCount` (double, optional)
- `parameters` (map from string to SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetails

- SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetails0
- SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetails1

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters

- SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters0
- SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters1
- SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters2
- SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters3
- SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters4

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetails0

- `errors` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetails1

- SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetails10
- SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetails11
- SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetails12

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters0

- `type` (enum, required)
  - Allowed values: `string`
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters1

- `type` (enum, required)
  - Allowed values: `number`
- `value` (double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters2

- `type` (enum, required)
  - Allowed values: `date`
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters3

- `type` (enum, required)
  - Allowed values: `array.string`
- `value` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters4

- `type` (enum, required)
  - Allowed values: `array.number`
- `value` (list of double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetails10

- `errors` (list of SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf0ErrorsItems, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetails11

- `errors` (list of SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf1ErrorsItems, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetails12

- `errors` (list of SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf2ErrorsItems, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf0ErrorsItems

- `message` (string, required)
- `references` (list of SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf0ErrorsItemsReferencesItems, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf1ErrorsItems

- `name` (enum, required)
  - Allowed values: `UsedInRelease`
- `details` (string, required)
- `path` (list of string, required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf2ErrorsItems

- `name` (enum, required)
  - Allowed values: `HasOptimizationVariants`
- `details` (string, required)
- `path` (list of string, required)
- `value` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf0ErrorsItemsReferencesItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf0ErrorsItemsReferencesItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperiencesIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf0ErrorsItemsReferencesItemsSys

- `type` (enum, required)
  - Allowed values: `ResourceLink`
- `linkType` (string, required)
- `urn` (string, required)